Package wx :: Package lib :: Module langlistctrl

[frames | no frames]

## Module wx.lib.langlistctrl

ListCtrl and functions to display languages and the flags of their countries

Classes
`LanguageListCtrl` | wx.ListCtrl derived control that displays languages and flags

Function Summary
| ``BuildLanguageCountryMapping`()` Builds a mapping of language ids to LANG_COUNTRY codes
| ``CreateLanguagesResourceLists`(filter, only)` Returns a tuple of (bitmaps, language descriptions, language ids)
| ``GetLanguageFlag`(lang)` Returns a bitmap of the flag for the country of the language id
| ``GetWxIdentifierForLanguage`(lang)` Returns the language id as a string

Variable Summary
`dict` | `langIdCountryMap` = `{2: 'GE', 3: 'ET', 4: 'ZA', 5: 'AL', ...`
`int` | `LC_ALL` = 2
`int` | `LC_AVAILABLE` = 1
`int` | `LC_ONLY` = 4

Function Details

### BuildLanguageCountryMapping()

Builds a mapping of language ids to LANG_COUNTRY codes

### CreateLanguagesResourceLists(filter=1, only=())

Returns a tuple of (bitmaps, language descriptions, language ids)

### GetLanguageFlag(lang)

Returns a bitmap of the flag for the country of the language id

### GetWxIdentifierForLanguage(lang)

Returns the language id as a string

Variable Details

### langIdCountryMap

  Type:
    `dict`
  Value:

        {2: 'GE',
         3: 'ET',
         4: 'ZA',
         5: 'AL',
         6: 'ET',
         7: 'SA',
         8: 'DZ',
         9: 'BH',
        ...

### LC_ALL

  Type:
    `int`
  Value:

        2

### LC_AVAILABLE

  Type:
    `int`
  Value:

        1

### LC_ONLY

  Type:
    `int`
  Value:

        4

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:02 2007 | http://epydoc.sf.net